Subject: trust pilot customer...
From: Yarngam Makan <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Fri, 24 Jan 2020 15:38:54 -0700 (MST)

CASE1428314 
Swagtron Contact From [email-masked] - Swagtron repair warranty C472867 Swagtron Support 

mention in RA that this is a trust pilot customer.... 
I did chat with one of your agents online about the repairs, it’s taken me a few days to locate the warrantee and by the time I did your agent notified it had just prescribed on the 7th of this month. I have asked if you could please respect the warranty, or in worst case scenario, give it a continuation by offering me to subscribe and pay for another year ( with which I would also be happy), but so far no one got back to me regarding this matter. 
Please find attached the info for a return we issued this past year, after the purchase of the scooter, due to a battery charger defect, Erik inform customer will flagged to escalation team in chat 

warranty over on 01/07/2020 

C2172802 Guido Intriago 
this is customer page... 

RA131346 
C2172802 Guido Intriago where trust pilot is mention